> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new apikey



## OpenAPI

````yaml post /api/v1/apikeys
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/apikeys:
    post:
      tags:
        - admin
      summary: Create a new apikey
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApikeySchema'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/ApikeySchema'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/ApikeySchema'
          application/edn:
            schema:
              $ref: '#/components/schemas/ApikeySchema'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApikeysResponse'
            application/transit+msgpack:
              schema:
                $ref: '#/components/schemas/ApikeysResponse'
            application/transit+json:
              schema:
                $ref: '#/components/schemas/ApikeysResponse'
            application/edn:
              schema:
                $ref: '#/components/schemas/ApikeysResponse'
components:
  schemas:
    ApikeySchema:
      required:
        - name
        - role
      type: object
      properties:
        role:
          type: string
        name:
          type: string
      additionalProperties: false
    ApikeysResponse:
      required:
        - created-by
        - key
        - name
        - role
      type: object
      properties:
        role:
          type: string
        name:
          type: string
        key:
          type: string
          format: uuid
        created-by:
          type: string
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````